import quart.flask_patch
from quart import Quart

from totrader.routes import meta, tasks, api
from totrader import filters


def create_app():
    app = Quart(__name__)
    app.config.from_envvar('FLASK_SECRETS', 'config.py')

    @app.before_serving
    async def startup():
        app.register_blueprint(meta.bp)
        app.register_blueprint(tasks.bp)
        app.register_blueprint(api.bp)
        app.register_blueprint(filters.bp)

    return app